﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.Composition;
using MoNo;
using MoNo.Studio;
using MoNo.CSharpUtils;
using Microsoft.FSharp.Collections;
using Microsoft.FSharp.Core;

namespace QuickCsTemplate
{
  [Export( typeof( IFileImporter ) )]
  class FileImporterSample : IFileImporter
  {
    public string Caption { get; } = "Foo File";

    public FSharpList<string> FileFilters { get; } = new[] { "*.foo" }.ToFSharpList();

    public MoNo.Progress<FSharpOption<Snapshot.Entry>> TryImport( string path )
    {
      return Progress.ByFunc( token => FSharpOption<Snapshot.Entry>.None );
    }
  }
}
