﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MessengerSample.View
{
  /// <summary>
  /// SampleDialog.xaml の相互作用ロジック
  /// </summary>
  public partial class SampleDialog : Window
  {
    public SampleDialog()
    {
      InitializeComponent();
    }

    [System.ComponentModel.Composition.Export(typeof(MoNo.Wpf.IMessageHandler))]
    class Handler : MoNo.Wpf.DialogMessageHandler<VmSampleDialog>
    {
      public Handler() : base(vm => new SampleDialog { DataContext = vm }) { }
    }

    private void Button_Click( object sender, RoutedEventArgs e )
    {
      try { this.DialogResult = true; } catch { }
      this.Close();
    }
  }
}
